Bug 1290199 - Review Request: cmake3 - Cross-platform make system
Review Request: cmake3 - Cross-platform make system
Status: CLOSED DUPLICATE of bug 1315193
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 15:25 EST by Helio Chissini de Castro
Modified: 2016-03-07 04:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 04:15:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Helio Chissini de Castro 2015-12-09 15:25:38 EST
Spec URL: https://heliocastro.fedorapeople.org/cmake3.spec
SRPM URL: https://heliocastro.fedorapeople.org/cmake3-3.3.2-3.fc23.src.rpm
Description: Cross-platform make system
Fedora Account System Username: heliocastro
Comment 1 Helio Chissini de Castro 2015-12-09 15:27:37 EST
Intended for EPEL 7 only
Comment 2 Orion Poplawski 2015-12-11 18:24:21 EST
Ah, fun, I'll have to compare with http://www.cora.nwra.com/~orion/fedora/cmake34-3.4.1-1.fc21.src.rpm

I've been debating between cmake3 and cmake3X myself.  We have cmake28 before.  Minor releases can be disruptive as well.
Comment 4 Roman Tsisyk 2016-01-10 13:17:11 EST
Why do you need a new package for CMake 3.x?
Is it backward-compatible with 2.8.x? I still remember that pain with cmake28...
Comment 5 Orion Poplawski 2016-01-10 14:34:10 EST
Because some projects are now using cmake 3.X features.  Any yes, there have been some backward-incompatible changes I believe.
Comment 6 roidelapluie 2016-02-07 23:43:22 EST
There are 2 requirements missing in the spec file

BuildRequires:  gcc-c++
BuildRequires:  make
Comment 7 Neal Gompa 2016-02-11 00:54:32 EST
Helio,

Because minor versions can be backwards incompatible, I would strongly recommend you rename this to cmake34. This has been done in the past with cmake28 for EL6, and continuing that convention certainly doesn't hurt anything.
Comment 8 Antonio Trande 2016-03-01 10:27:38 EST
@Helio

Are you still interested to continue this review?
Comment 9 Upstream Release Monitoring 2016-03-06 10:42:53 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for el6-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13250371
Comment 10 Upstream Release Monitoring 2016-03-06 10:43:47 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13250375
Comment 11 Upstream Release Monitoring 2016-03-06 10:49:25 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13250407
Comment 12 Upstream Release Monitoring 2016-03-06 10:54:30 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13250422
Comment 13 Upstream Release Monitoring 2016-03-06 11:04:09 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13250453
Comment 14 Upstream Release Monitoring 2016-03-06 11:22:37 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13250570
Comment 15 Upstream Release Monitoring 2016-03-06 11:34:38 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13250679
Comment 16 Upstream Release Monitoring 2016-03-06 11:47:40 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13250801
Comment 17 Upstream Release Monitoring 2016-03-06 11:56:44 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13250872
Comment 18 Upstream Release Monitoring 2016-03-06 12:17:22 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13250940
Comment 19 Upstream Release Monitoring 2016-03-06 17:16:50 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13252343
Comment 20 Upstream Release Monitoring 2016-03-07 03:16:46 EST
besser82's scratch build of cmake3-3.5.0-0.2.rc3.fc25.src.rpm for epel7-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13256061
Comment 21 Björn "besser82" Esser 2016-03-07 04:15:01 EST
Since there was no activity from the bug reporter, I've setup a new review-request for this…  Closing here as DUPLICATE.

*** This bug has been marked as a duplicate of bug 1315193 ***

Note You need to log in before you can comment on or make changes to this bug.